# Generated by Django 4.0.7 on 2022-09-07 08:07

import django.core.serializers.json
from django.db import migrations, models
import django.db.models.deletion
import taggit.managers


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('netbox_static_routes', '0001_initial'),
        ('netbox_bgp', '0025_netbox_bgp'),
        ('dcim', '0153_created_datetimefield'),
        ('extras', '0073_journalentry_tags_custom_fields'),
        ('ipam', '0057_created_datetimefield'),
    ]

    operations = [
        migrations.CreateModel(
            name='VRFContext',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(
                    blank=True,
                    default=dict,
                    encoder=django.core.serializers.json.DjangoJSONEncoder)),
                ('comments', models.TextField(blank=True)),
                ('bgp_sessions', models.ManyToManyField(
                    to='netbox_bgp.bgpsession')),
                ('device', models.ForeignKey(
                    on_delete=django.db.models.deletion.CASCADE,
                    related_name='devices',
                    to='dcim.device')),
                ('static_routes', models.ManyToManyField(
                    to='netbox_static_routes.staticroute')),
                ('tags', taggit.managers.TaggableManager(
                    through='extras.TaggedItem',
                    to='extras.Tag')),
                ('vrf', models.ForeignKey(
                    on_delete=django.db.models.deletion.CASCADE,
                    related_name='contexts',
                    to='ipam.vrf')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
